Up

# NSColor

### Authors

Scott Christley (`scottc@net-community.com`)
Fred Kiefer (`fredkiefer@gmx.de`)

> The colorful color class

Copyright: (C) 1996, 1998, 2001, 2002 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSColor class
2. Software documentation for the NSCoder(NSCoderAdditions) category

# Software documentation for the NSColor class

## NSColor : NSObject

> Declared in:
>   AppKit/NSColor.h

> Conforms to:
>   NSCoding
>   NSCopying

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- +blackColor
- +blueColor
- +brownColor
- +clearColor
- +colorForControlTint:
- +colorFromPasteboard:
- +colorWithCalibratedHue:saturation:brightness:alpha:
- +colorWithCalibratedRed:green:blue:alpha:
- +colorWithCalibratedWhite:alpha:
- +colorWithCatalogName:colorName:
- +colorWithDeviceCyan:magenta:yellow:black:alpha:
- +colorWithDeviceHue:saturation:brightness:alpha:
- +colorWithDeviceRed:green:blue:alpha:
- +colorWithDeviceWhite:alpha:
- +colorWithPatternImage:
- +controlBackgroundColor
- +controlColor
- +controlDarkShadowColor
- +controlHighlightColor
- +controlLightHighlightColor
- +controlShadowColor
- +controlTextColor
- +cyanColor
- +darkGrayColor
- +disabledControlTextColor
- +grayColor
- +greenColor
- +gridColor
- +headerColor
- +headerTextColor
- +highlightColor
- +ignoresAlpha
- +keyboardFocusIndicatorColor
- +knobColor
- +lightGrayColor
- +magentaColor
- +orangeColor
- +purpleColor
- +redColor
- +scrollBarColor
- +selectedControlColor
- +selectedControlTextColor
- +selectedKnobColor
- +selectedMenuItemColor
- +selectedMenuItemTextColor
- +selectedTextBackgroundColor
- +selectedTextColor
- +setIgnoresAlpha:
- +shadowColor
- +textBackgroundColor
- +textColor
- +whiteColor
- +windowBackgroundColor
- +windowFrameColor
- +windowFrameTextColor
- +yellowColor
- -alphaComponent
- -blackComponent
- -blendedColorWithFraction:ofColor:
- -blueComponent
- -brightnessComponent
- -catalogNameComponent
- -colorNameComponent
- -colorSpaceName
- -colorUsingColorSpaceName:
- -colorUsingColorSpaceName:device:
- -colorWithAlphaComponent:
- -cyanComponent
- -drawSwatchInRect:
- -getCyan:magenta:yellow:black:alpha:
- -getHue:saturation:brightness:alpha:
- -getRed:green:blue:alpha:
- -getWhite:alpha:
- -greenComponent
- -highlightWithLevel:
- -hueComponent
- -localizedCatalogNameComponent
- -localizedColorNameComponent
- -magentaComponent
- -patternImage
- -redComponent
- -saturationComponent
- -set
- -shadowWithLevel:
- -whiteComponent
- -writeToPasteboard:
- -yellowComponent

### blackColor

+ (NSColor*) blackColor;

Description forthcoming.

### blueColor

+ (NSColor*) blueColor;

Description forthcoming.

### brownColor

+ (NSColor*) brownColor;

Description forthcoming.

### clearColor

+ (NSColor*) clearColor;

Description forthcoming.

### colorForControlTint:

+ (NSColor*) colorForControlTint: (NSControlTint)controlTint;

Description forthcoming.

### colorFromPasteboard:

+ (NSColor*) colorFromPasteboard: (NSPasteboard*)pasteBoard;

Description forthcoming.

### colorWithCalibratedHue:saturation:brightness:alpha:

+ (NSColor*) colorWithCalibratedHue: (float)hue saturation: (float)saturation brightness: (float)brightness alpha: (float)alpha;

Description forthcoming.

### colorWithCalibratedRed:green:blue:alpha:

+ (NSColor*) colorWithCalibratedRed: (float)red green: (float)green blue: (float)blue alpha: (float)alpha;

Description forthcoming.

### colorWithCalibratedWhite:alpha:

+ (NSColor*) colorWithCalibratedWhite: (float)white alpha: (float)alpha;

Description forthcoming.

### colorWithCatalogName:colorName:

+ (NSColor*) colorWithCatalogName: (NSString*)listName colorName: (NSString*)colorName;

Description forthcoming.

### colorWithDeviceCyan:magenta:yellow:black:alpha:

+ (NSColor*) colorWithDeviceCyan: (float)cyan magenta: (float)magenta yellow: (float)yellow black: (float)black alpha: (float)alpha;

Description forthcoming.

### colorWithDeviceHue:saturation:brightness:alpha:

+ (NSColor*) colorWithDeviceHue: (float)hue saturation: (float)saturation brightness: (float)brightness alpha: (float)alpha;

Description forthcoming.

### colorWithDeviceRed:green:blue:alpha:

+ (NSColor*) colorWithDeviceRed: (float)red green: (float)green blue: (float)blue alpha: (float)alpha;

Description forthcoming.

### colorWithDeviceWhite:alpha:

+ (NSColor*) colorWithDeviceWhite: (float)white alpha: (float)alpha;

Description forthcoming.

### colorWithPatternImage:

+ (NSColor*) colorWithPatternImage: (NSImage*)image;

Description forthcoming.

### controlBackgroundColor

+ (NSColor*) controlBackgroundColor;

Description forthcoming.

### controlColor

+ (NSColor*) controlColor;

Description forthcoming.

### controlDarkShadowColor

+ (NSColor*) controlDarkShadowColor;

Description forthcoming.

### controlHighlightColor

+ (NSColor*) controlHighlightColor;

Description forthcoming.

### controlLightHighlightColor

+ (NSColor*) controlLightHighlightColor;

Description forthcoming.

### controlShadowColor

+ (NSColor*) controlShadowColor;

Description forthcoming.

### controlTextColor

+ (NSColor*) controlTextColor;

Description forthcoming.

### cyanColor

+ (NSColor*) cyanColor;

Description forthcoming.

### darkGrayColor

+ (NSColor*) darkGrayColor;

Description forthcoming.

### disabledControlTextColor

+ (NSColor*) disabledControlTextColor;

Description forthcoming.

### grayColor

+ (NSColor*) grayColor;

Description forthcoming.

### greenColor

+ (NSColor*) greenColor;

Description forthcoming.

### gridColor

+ (NSColor*) gridColor;

Description forthcoming.

### headerColor

+ (NSColor*) headerColor;

Description forthcoming.

### headerTextColor

+ (NSColor*) headerTextColor;

Description forthcoming.

### highlightColor

+ (NSColor*) highlightColor;

Description forthcoming.

### ignoresAlpha

+ (BOOL) ignoresAlpha;

Description forthcoming.

### keyboardFocusIndicatorColor

+ (NSColor*) keyboardFocusIndicatorColor;

Description forthcoming.

### knobColor

+ (NSColor*) knobColor;

Description forthcoming.

### lightGrayColor

+ (NSColor*) lightGrayColor;

Description forthcoming.

### magentaColor

+ (NSColor*) magentaColor;

Description forthcoming.

### orangeColor

+ (NSColor*) orangeColor;

Description forthcoming.

### purpleColor

+ (NSColor*) purpleColor;

Description forthcoming.

### redColor

+ (NSColor*) redColor;

Description forthcoming.

### scrollBarColor

+ (NSColor*) scrollBarColor;

Description forthcoming.

### selectedControlColor

+ (NSColor*) selectedControlColor;

Description forthcoming.

### selectedControlTextColor

+ (NSColor*) selectedControlTextColor;

Description forthcoming.

### selectedKnobColor

+ (NSColor*) selectedKnobColor;

Description forthcoming.

### selectedMenuItemColor

+ (NSColor*) selectedMenuItemColor;

Description forthcoming.

### selectedMenuItemTextColor

+ (NSColor*) selectedMenuItemTextColor;

Description forthcoming.

### selectedTextBackgroundColor

+ (NSColor*) selectedTextBackgroundColor;

Description forthcoming.

### selectedTextColor

+ (NSColor*) selectedTextColor;

Description forthcoming.

### setIgnoresAlpha:

+ (void) setIgnoresAlpha: (BOOL)flag;

Description forthcoming.

### shadowColor

+ (NSColor*) shadowColor;

Description forthcoming.

### textBackgroundColor

+ (NSColor*) textBackgroundColor;

Description forthcoming.

### textColor

+ (NSColor*) textColor;

Description forthcoming.

### whiteColor

+ (NSColor*) whiteColor;

Description forthcoming.

### windowBackgroundColor

+ (NSColor*) windowBackgroundColor;

Description forthcoming.

### windowFrameColor

+ (NSColor*) windowFrameColor;

Description forthcoming.

### windowFrameTextColor

+ (NSColor*) windowFrameTextColor;

Description forthcoming.

### yellowColor

+ (NSColor*) yellowColor;

Description forthcoming.

### alphaComponent

- (float) alphaComponent;

Description forthcoming.

### blackComponent

- (float) blackComponent;

Description forthcoming.

### blendedColorWithFraction:ofColor:

- (NSColor*) blendedColorWithFraction: (float)fraction ofColor: (NSColor*)aColor;

Description forthcoming.

### blueComponent

- (float) blueComponent;

Description forthcoming.

### brightnessComponent

- (float) brightnessComponent;

Description forthcoming.

### catalogNameComponent

- (NSString*) catalogNameComponent;

Description forthcoming.

### colorNameComponent

- (NSString*) colorNameComponent;

Description forthcoming.

### colorSpaceName

- (NSString*) colorSpaceName;

Description forthcoming.

### colorUsingColorSpaceName:

- (NSColor*) colorUsingColorSpaceName: (NSString*)colorSpace;

Description forthcoming.

### colorUsingColorSpaceName:device:

- (NSColor*) colorUsingColorSpaceName: (NSString*)colorSpace device: (NSDictionary*)deviceDescription;

Description forthcoming.

### colorWithAlphaComponent:

- (NSColor*) colorWithAlphaComponent: (float)alpha;

Description forthcoming.

### cyanComponent

- (float) cyanComponent;

Description forthcoming.

### drawSwatchInRect:

- (void) drawSwatchInRect: (NSRect)rect;

Description forthcoming.

### getCyan:magenta:yellow:black:alpha:

- (void) getCyan: (float*)cyan magenta: (float*)magenta yellow: (float*)yellow black: (float*)black alpha: (float*)alpha;

Description forthcoming.

### getHue:saturation:brightness:alpha:

- (void) getHue: (float*)hue saturation: (float*)saturation brightness: (float*)brightness alpha: (float*)alpha;

Description forthcoming.

### getRed:green:blue:alpha:

- (void) getRed: (float*)red green: (float*)green blue: (float*)blue alpha: (float*)alpha;

Description forthcoming.

### getWhite:alpha:

- (void) getWhite: (float*)white alpha: (float*)alpha;

Description forthcoming.

### greenComponent

- (float) greenComponent;

Description forthcoming.

### highlightWithLevel:

- (NSColor*) highlightWithLevel: (float)level;

Description forthcoming.

### hueComponent

- (float) hueComponent;

Description forthcoming.

### localizedCatalogNameComponent

- (NSString*) localizedCatalogNameComponent;

Description forthcoming.

### localizedColorNameComponent

- (NSString*) localizedColorNameComponent;

Description forthcoming.

### magentaComponent

- (float) magentaComponent;

Description forthcoming.

### patternImage

- (NSImage*) patternImage;

Description forthcoming.

### redComponent

- (float) redComponent;

Description forthcoming.

### saturationComponent

- (float) saturationComponent;

Description forthcoming.

### set

- (void) set;

Description forthcoming.

### shadowWithLevel:

- (NSColor*) shadowWithLevel: (float)level;

Description forthcoming.

### whiteComponent

- (float) whiteComponent;

Description forthcoming.

### writeToPasteboard:

- (void) writeToPasteboard: (NSPasteboard*)pasteBoard;

Description forthcoming.

### yellowComponent

- (float) yellowComponent;

Description forthcoming.

# Software documentation for the NSCoder(NSCoderAdditions) category

## NSCoder(NSCoderAdditions)

> Declared in:
>   AppKit/NSColor.h

> Standards:
> - OpenStep
> - NotMacOS-X
> - GNUstep

Description forthcoming.

Method summary

- -decodeNXColor

### decodeNXColor

- (NSColor*) decodeNXColor;

Description forthcoming.

Up